# Generated by Django 3.2.11 on 2022-02-23 10:21

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0033_alter_districthomepage_donation_page"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtcenterpage",
            name="sidebar_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "address",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "map_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek mapy", required=False
                                    ),
                                ),
                                (
                                    "map_link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz na detail mapy", required=False
                                    ),
                                ),
                                (
                                    "address",
                                    wagtail.blocks.TextBlock(
                                        label="Adresa", required=True
                                    ),
                                ),
                                (
                                    "address_info",
                                    wagtail.blocks.TextBlock(
                                        label="Info k adrese", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "contact",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "contact_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=["district.DistrictPersonPage"],
                                        ),
                                        label="List kontaktů",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah bočního panelu",
            ),
        ),
    ]
